import 'package:json_annotation/json_annotation.dart';
import 'bea_default_dto.dart';
part 'result_defaults.g.dart';

@JsonSerializable()
class BeaResultDefaults {
  final BigInt? totalCount;
  final List<BeaDefaultDto?>? items;

  BeaResultDefaults({this.items, this.totalCount});

  factory BeaResultDefaults.fromJson(Map<String, dynamic> json) => _$BeaResultDefaultsFromJson(json);

  Map<String, dynamic> toJson() => _$BeaResultDefaultsToJson(this);

}