import 'bea_tenant.dart';
import 'bea_user.dart';

class BeaResultCurrentUserInfo{

  BeaUser? user;
  BeaTenant? tenant;
  DateTime? lastAccess;

  BeaResultCurrentUserInfo({this.user, this.tenant, this.lastAccess});

  BeaResultCurrentUserInfo.fromJson(Map<String, dynamic> json) {
    user = json['user'] != null ? new BeaUser.fromJson(json['user']) : null;
    tenant = json['tenant'] != null ? new BeaTenant.fromJson(json['tenant']) : null;
    lastAccess = DateTime.tryParse(json['lastAccess'] != null ? json['lastAccess'] : "");
  }
}