import 'bea_impersonate_user.dart';

class GetBeaUsersOutput {
  List<BeaSingleUser>? items;

  GetBeaUsersOutput({this.items});

  GetBeaUsersOutput.fromJson(Map<String, dynamic> json) {
    if (json['items'] != null) {
      items = [];
      json['items'].forEach((v) {
        items!.add(new BeaSingleUser.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.items != null) {
      data['items'] = this.items!.map((v) => v.toJson()).toList();
    }
    return data;
  }
}