class BeaBasePagination{
  String? filter, sorting;
  int?  skipCount, maxResultCount;

  BeaBasePagination(){
    filter = "";
    sorting = "";
    skipCount = 0;
    maxResultCount = 100;
  }

  BeaBasePagination.fromJson(Map<String, dynamic> json) {
    filter = json['filter'];
    sorting = json['sorting'];
    skipCount = json['skipCount'];
    maxResultCount = json['maxResultCount'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['filter'] = this.filter;
    data['sorting'] = this.sorting;
    data['skipCount'] = this.skipCount;
    data['maxResultCount'] = this.maxResultCount;
    return data;
  }
}