import 'package:bea_flutter_package/bea_services/utils/crud_utils.dart';

void main() {

  List<BEAGenericFilter> list = [];

  list.add(BEAGenericFilter(
      filter: BEAFilter(
          property: "title",
          filterOperators: FilterOperators.EQUALS,
          value: "Omniadoc"
      ),
      logicalOperators: LogicalOperators.OR
  ));

  List<BEAGenericFilter> list2 = [];

  list2.add(new BEAGenericFilter(
      filter: BEAFilter(
          property: "description",
          filterOperators: FilterOperators.NOT_CONTAINS,
          value: "GATTO"
      ),
      logicalOperators: LogicalOperators.AND)
  );

  list2.add(BEAGenericFilter(
    filter: BEAFilter(
        property: "user",
        filterOperators: FilterOperators.NOT_EQUALS,
        value: "Bella"
    ),
  ));

  list.add(new BEAGenericFilter(filter: list2));

  String result = CRUDUtils.getBEAFilter(list);

  print(result);
}
